Install dnsmasq:
  pkg.installed:
    - name: dnsmasq

configure dnsmasq:
  file.managed:
    - name: /etc/dnsmasq.d/tlu.conf
    - source: salt://dnsmasq/files/tlu.conf.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: "0644"

Start dnsmasq:
  service.running:
    - name: dnsmasq
    - enable: True
    - watch:
      - file: configure dnsmasq
